Cantera 2.6.0

Public Member Functions | Protected Attributes | List of all members
FalloffMgr Class Reference
Chemical Kinetics » Falloff Parameterizations

A falloff manager that implements any set of falloff functions. More...

`#include <FalloffMgr.h>`

## Public Member Functions
| FalloffMgr ()
| Constructor. More...
void | install (size_t rxn, int reactionType, shared_ptr< Falloff > f)
| Install a new falloff function calculator. More...
void | install (size_t rxn, std::string type, shared_ptr< Falloff > f)
| Install a new falloff function calculator. More...
void | replace (size_t rxn, shared_ptr< Falloff > f)
size_t | workSize ()
| Size of the work array required to store intermediate results. More...
void | updateTemp (doublereal t, doublereal *work)
| Update the cached temperature-dependent intermediate results for all installed falloff functions. More...
void | pr_to_falloff (doublereal *values, const doublereal *work)
| Given a vector of reduced pressures for each falloff reaction, replace each entry by the value of the falloff function. More...

## Protected Attributes
std::vector< size_t > | m_rxn
std::vector< shared_ptr< Falloff > > | m_falloff
vector_int | m_loc
std::vector< vector_fp::difference_type > | m_offset
size_t | m_worksize
std::vector< bool > | m_isfalloff
| Distinguish between falloff and chemically activated reactions. More...
std::map< size_t, size_t > | m_indices
| map of external reaction index to local index More...

## Detailed Description

A falloff manager that implements any set of falloff functions.

Deprecated:
  Deprecated in Cantera 2.6 and removed thereafter. Replaced by FalloffRate objects managed by MultiRate evaluators.

Definition at line 28 of file FalloffMgr.h.

## Constructor & Destructor Documentation

## ◆ FalloffMgr()

FalloffMgr | ( |  | ) |
| inline

Constructor.

Definition at line 32 of file FalloffMgr.h.

## Member Function Documentation

## ◆ install() [1/2]

void install | ( | size_t | rxn,
|  | int | reactionType,
|  | shared_ptr< Falloff > | f
| ) |  |
| inline

Install a new falloff function calculator.

Definition at line 45 of file FalloffMgr.h.

References Cantera::FALLOFF_RXN, FalloffMgr::m_indices, FalloffMgr::m_isfalloff, and Cantera::warn_deprecated().

Referenced by GasKinetics::addFalloffReaction().

## ◆ install() [2/2]

void install | ( | size_t | rxn,
|  | std::string | type,
|  | shared_ptr< Falloff > | f
| ) |  |
| inline

Install a new falloff function calculator.

Definition at line 65 of file FalloffMgr.h.

## ◆ replace()

void replace | ( | size_t | rxn,
|  | shared_ptr< Falloff > | f
| ) |  |
| inline

Replace an existing falloff function calculator

Parameters

  rxn | External reaction index
  f | New falloff function, of the same kind as the existing one

Definition at line 80 of file FalloffMgr.h.

References FalloffMgr::m_indices.

Referenced by GasKinetics::modifyFalloffReaction().

## ◆ workSize()

size_t workSize | ( |  | ) |
| inline

Size of the work array required to store intermediate results.

Definition at line 85 of file FalloffMgr.h.

Referenced by GasKinetics::addFalloffReaction().

## ◆ updateTemp()

void updateTemp | ( | doublereal | t,
|  | doublereal * | work
| ) |  |
| inline

Update the cached temperature-dependent intermediate results for all installed falloff functions.

Parameters

  t | Temperature [K].
  work | Work array. Must be dimensioned at least workSize().

Definition at line 95 of file FalloffMgr.h.

## ◆ pr_to_falloff()

void pr_to_falloff | ( | doublereal * | values,
|  | const doublereal * | work
| ) |  |
| inline

Given a vector of reduced pressures for each falloff reaction, replace each entry by the value of the falloff function.

Definition at line 105 of file FalloffMgr.h.

References FalloffMgr::m_isfalloff.

Referenced by GasKinetics::processFalloffReactions().

## Member Data Documentation

## ◆ m_rxn

std::vector<size_t> m_rxn
| protected

Definition at line 121 of file FalloffMgr.h.

## ◆ m_falloff

std::vector<shared_ptr<Falloff> > m_falloff
| protected

Definition at line 122 of file FalloffMgr.h.

## ◆ m_loc

vector_int m_loc
| protected

Definition at line 123 of file FalloffMgr.h.

## ◆ m_offset

std::vector<vector_fp::difference_type> m_offset
| protected

Definition at line 124 of file FalloffMgr.h.

## ◆ m_worksize

size_t m_worksize
| protected

Definition at line 125 of file FalloffMgr.h.

## ◆ m_isfalloff

std::vector<bool> m_isfalloff
| protected

Distinguish between falloff and chemically activated reactions.

Definition at line 128 of file FalloffMgr.h.

Referenced by FalloffMgr::install(), and FalloffMgr::pr_to_falloff().

## ◆ m_indices

std::map<size_t, size_t> m_indices
| protected

map of external reaction index to local index

Definition at line 131 of file FalloffMgr.h.

Referenced by FalloffMgr::install(), and FalloffMgr::replace().

The documentation for this class was generated from the following file:

- FalloffMgr.h